package io.renren.modules.sys.service;

import io.renren.common.utils.PageUtils;
import io.renren.modules.sys.entity.algs.AlgTrainLog;

import java.util.Map;

public interface AlgTrainLogService {
    PageUtils queryPageOnUse(Map<String, Object> params);

    void deleteBatch(Long[] algorithmTrainingLogIds);

    void update(AlgTrainLog algTrainLog);

    AlgTrainLog selectByPrimaryKey(Long algorithmTrainingLogId);

    AlgTrainLog selectByAlgTrainId(Long algorithmTrainingId);
}
